Name:             python-lazy-object-proxy
Version:          1.10.0
Release:          1
Summary:          A fast and thorough lazy object proxy
License:          BSD-2-Clause
Url:              https://github.com/ionelmc/python-lazy-object-proxy
Source0:          %{pypi_source lazy-object-proxy}
BuildRequires:    python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools gcc
BuildRequires:    python%{python3_pkgversion}-pip python%{python3_pkgversion}-setuptools_scm

%description
A fast and thorough lazy object proxy that rebuilds a new
abstract syntax tree from Python's ast.

%package -n       python%{python3_pkgversion}-lazy-object-proxy
Summary:          A fast and thorough lazy object proxy
%{?python_provide:%python_provide python%{python3_pkgversion}-lazy-object-proxy}

%description -n   python%{python3_pkgversion}-lazy-object-proxy
A fast and thorough lazy object proxy that rebuilds a new
abstract syntax tree from Python's ast.

%prep
%autosetup -n lazy-object-proxy-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python%{python3_pkgversion}-lazy-object-proxy
%doc README.rst LICENSE
%{python3_sitearch}/*
%attr(0755, root, root) %{python3_sitearch}/lazy_object_proxy/*.so
%exclude %{python3_sitearch}/lazy_object_proxy/cext.c

%changelog
* Mon Aug 19 2024 Ge Wang <wang__ge@126.com> - 1.10.0-1
- Update package to version 1.10.0

* Thu Feb 9 2023 wubijie <wubijie@kylinos.cn> - 1.9.0-1
- Update package to version 1.9.0

* Thu Dec 15 2022 fushanqing <fushanqing@kylinos.cn> - 1.8.0-1
- update to version 1.8.0

* Wed Jun 29 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.7.1-1
- Upgrade to version 1.7.1

* Tue May 10 2022 yangping <yangping69@h-partners> - 1.6.0-3
- License compliance rectification

* Tue Jul 27 2021 Shinwell Hu <huxinwei@huawei.com> -1.6.0-2
- Add BuildRequires for python3-pip

* Thu Jul 15 2021 huangtianhua <huangtianhua@huawei.com> -1.6.0-1
- Upgrade to 1.6.0 to support OpenStack-W

* Mon May 31 2021 huanghaitao <huanghaitao8@huawei.com> - 1.3.1-10
- Completing build dependencies

* Wed Oct 21 2020 Ge Wang <wangge20@huawei.com> - 1.3.1-9
- remove python2

* Mon Feb 24 2020 likexin <likexin4@huawei.com> - 1.3.1-8
- package init
